Skip to main content
POST
Creates a new sales quotation.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Body

application/json

Request parameters

Creates a new sales quotation. - Request

companyId
string<uuid>
required

The SalesQuotation CompanyId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

customerId
string<uuid>
required

The customer ID.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

billingAddress
object
required

SalesQuotationBillingAddress

departureCountry
object
required

DepartureCountry

lineItems
object[]
required

List of SalesQuotationLineItem

paymentDetails
object
required

PaymentDetails

languageIso
string
required

The SalesQuotation LanguageISO

Required string length: 2 - 5
vatId
string
required

The SalesQuotation VATId

disableAutomaticWorkflows
boolean

Indicates whether automatic workflows should be disabled for this sales quotation.

useBillingAddressAsShipmentAddress
boolean

Indicates whether the billing address should be used as the shipment address. If no shipment address is provided and the flag ist not set, the billing address will also be used as shipment address. If the shipment address is provided, this flag will be ignored.

cartonItemId
string<uuid>

The SalesQuotation CartonItemId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

onHoldReasonId
string<uuid>

The SalesQuotation OnHoldReasonId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

paymentMethodId
string<uuid>

The SalesQuotation PaymentMethodId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

processColourId
string<uuid>

The SalesQuotation ProcessColourId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

processStatusId
string<uuid>

The SalesQuotation ProcessStatusId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

externalDetails
object

ExternalDetails

paymentInfo
object

SalesQuotationPaymentInfo

shipmentAddress
object

SalesQuotationShipmentAddress

shippingDetails
object

ShippingDetails

taxDetails
object

TaxDetails

text
object

SalesQuotationText

customerSalesQuotationNumber
string

The SalesQuotation CustomerSalesQuotationNumber

customerVatId
string

The VAT ID of the customer.

itemDescriptionType
enum<integer>

The SalesQuotation ItemDescriptionType

Available options:
0,
1,
2
readOnlyType
enum<integer>

The SalesQuotation ReadOnlyType

Available options:
0,
1,
2
salesQuotationDate
string<date-time>

The SalesQuotation Date

salesQuotationNumber
string

The SalesQuotation SalesQuotationNumber

shippingMethodId
string<uuid>

The SalesQuotation ShippingMethodId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

Sales quotation created successfully

Creates a new sales quotation. - Response

salesQuotationId
string<uuid>
required

Unique ID of the newly created sales quotation.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"